<div fxLayout="row" fxLayoutAlign="center" fxLayoutGap="0.5%" class="app-date-tabs">
  <button mat-icon-button color="primary" (click)="previous()">
    <mat-icon>keyboard_arrow_left</mat-icon>
  </button>
  <button mat-button [ngClass]="{'selected': b1selected, 'notSelected': !b1selected}"
    (click)="onB1selected()">{{ b1label  }}</button>
  <button mat-button [ngClass]="{'selected': !b1selected, 'notSelected': b1selected}"
    (click)="onB2selected()">{{ b2label }}</button>
  <button mat-icon-button color="primary" (click)="next()">
    <mat-icon>keyboard_arrow_right</mat-icon>
  </button>
  <div class="month"  (click)="picker.open()">
    {{currentMonth }}
    <i class="material-icons monthIcon">calendar_today</i>
  </div>
  <mat-datepicker #picker (closed)="onChange()"></mat-datepicker>
  <mat-form-field class="hidden">
    <input matInput [matDatepicker]="picker" [formControl]="dateCtrl"  placeholder="Choose a date">
  </mat-form-field>
</div>